getent(1)

BEZEICHNUNG
getent - Einträge aus den »Name Service Switch«-Bibliotheken erlangen

ÜBERSICHT
getent [Option]… Datenbank Schlüssel…

BESCHREIBUNG
Der Befehl getent zeigt die Einträge der durch die »Name Service Switch«-Bibliotheken unterstützten Datenbanken an, die in /etc/nsswitch.conf konfiguriert sind. Falls eine oder mehrere Argumente Schlüssel bereitgestellt sind, dann werden nur die Einträge, die auf die entsprechenden Schlüssel passen, angezeigt. Andernfalls, falls Schlüssel nicht bereitgestellt ist, werden alle Einträge angezeigt (außer die Datebank unterstützt keine Aufzählungen).

Die Datenbank kann jede der von der GNU-C-Bibliothek unterstützten Datenbanken sein, die nachfolgend aufgeführt sind:

ahosts
    Wird kein Schlüssel bereitgestellt, dann wird sethostent(3), gethostent(3) und endhostent(3) zur Aufzählung der Rechnerdatenbank verwandt. Dies ist identisch zur Verwendung von hosts(5). Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel in Folge an getaddrinfo(3) mit der Adressfamile AF_UNSPEC übergeben und jede zurückgelieferte Socket-Adressstruktur aufgezählt.

ahostsv4
    Identisch zu ahosts, verwendet aber die Adressfamilie AF_INET.

ahostsv6
    Identisch zu ahosts, verwendet aber die Adressfamilie AF_INET6. In diesem Fall enthält der Aufruf von getaddrinfo(3) den Schalter AI_V4MAPPED.

aliases
    Wird kein Schlüssel bereitgestellt, dann wird setaliasent(3), getaliasent(3) und endaliasent(3) zur Aufzählung der Alias-Datenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel in Folge an getaliasbyname(3) übergeben und das Ergebnis angezeigt.

ethers
    Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel in Folge an ether_aton(3) und ether_hostton(3) übergeben, bis ein Ergebnis erlangt wird und dann wird das Ergebnis angezeigt. Bei ethers wird keine Aufzählung unterstützt, daher muss Schlüssel bereitgestellt werden.

group
    Wird kein Schlüssel bereitgestellt, dann wird setgrent(3), getgrent(3) und endgrent(3) zur Aufzählung der Gruppendatenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder numerische Schlüssel an getgrgid(3) und jeder nichtnumerische Schlüssel an getgrnam(3) übergeben und das Ergebnis angezeigt.

gshadow
    Wird kein Schlüssel bereitgestellt, dann wird setsgent(3), getsgent(3) und endsgent(3) zur Aufzählung der Gshadow-Datenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel in Folge an getsgnam(3) übergeben und das Ergebnis angezeigt.

hosts
    Wird kein Schlüssel bereitgestellt, dann wird sethostent(3), gethostent(3) und endhostent(3) zur Aufzählung der Rechnerdatenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel an gethostbyaddr(3) oder gethostbyname2(3) übergeben, abhängig davon, ob ein Aufruf von inet_pton(3) anzeigt, ob der Schlüssel eine IPv6- oder IPv4-Adresse ist, und das Ergebnis angezeigt.

initgroups
    Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel in Folge an getgrouplist(3) übergeben und das Ergebnis angezeigt. Bei initgroups wird keine Aufzählung unterstützt, daher muss ein Schlüssel bereitgestellt werden.

netgroup
    Wird ein Schlüssel bereitgestellt, dann wird der Schlüssel an setnetgrent(3) übergeben und mittels getnetgrent(3) das Ergebnis-Zeichenkettentripel (Rechnername, Benutzername, Domainname) angezeigt. Alternativ können drei Schlüssel bereitgestellt werden, die als Rechnername, Benutzername und Domainname interpretiert werden, um auf einen Netgroup-Namen mittels innetgr(3) zu passen. Bei netgroup wird keine Aufzählung unterstützt, daher muss entweder einer oder drei Schlüssel bereitgestellt werden.

networks
    Wird kein Schlüssel bereitgestellt, dann wird setnetent(3), getnetent(3) und endnetent(3) zur Aufzählung der Netzwerkdatenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder numerische Schlüssel an getnetbyaddr(3) und jeder nichtnumerische Schlüssel an getnetbyname(3) übergeben und das Ergebnis angezeigt.

passwd
    Wird kein Schlüssel bereitgestellt, dann wird setpwent(3), getpwent(3) und endpwent(3) zur Aufzählung der Passwortdatenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder numerische Schlüssel an getpwuid(3) und jeder nichtnumerische Schlüssel an getpwnam(3) übergeben und das Ergebnis angezeigt.

protocols
    Wird kein Schlüssel bereitgestellt, dann wird setprotoent(3), getprotoent(3) und endprotoent(3) zur Aufzählung der Protokolldatenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder numerische Schlüssel an getprotobynumber(3) und jeder nichtnumerische Schlüssel an getprotobyname(3) übergeben und das Ergebnis angezeigt.

rpc Wird kein Schlüssel bereitgestellt, dann wird setrpcent(3), getrpcent(3) und endrpcent(3) zur Aufzählung der RPC-Datenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder numerische Schlüssel an getrpcbynumber(3) und jeder nichtnumerische Schlüssel an getrpcbyname(3) übergeben und das Ergebnis angezeigt.

services
    Wird kein Schlüssel bereitgestellt, dann wird setservent(3), getservent(3) und endservent(3) zur Aufzählung der Dienstedatenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder numerische Schlüssel an getservbynumber(3) und jeder nichtnumerische Schlüssel an getservbyname(3) übergeben und das Ergebnis angezeigt.

shadow
    Wird kein Schlüssel bereitgestellt, dann wird setspent(3), getspent(3) und endspent(3) zur Aufzählung der Shadow-Datenbank verwandt. Wird eines oder mehrere Argumente Schlüssel bereitgestellt, dann wird jeder Schlüssel in Folge an getspnam(3) übergeben und das Ergebnis angezeigt.

OPTIONEN

--service Dienst
-s Dienst
    Setzt alle Datenbanken mit dem angegebenen Dienst außer Kraft. (Seit Glibc 2.2.5.)

--service Datenbank:Dienst
-s Datenbank:Dienst
    Setzt nur die angegebenen Datenbanken mit den angegebenen Diensten außer Kraft. Diese Option kann mehrfach verwandt werden, aber nur der letzte Dienst für jede Datenbank wird verwandt. (Seit Glibc 2.4.)

--no-idn
-i
    Deaktiviert IDN-Kodierung beim Nachschlagen für ahosts/getaddrinfo(3) (Seit Glibc-2.13.)

--help
-?
    Benutzungshinweise ausgeben und beenden.

--usage
    gibt eine kurze Aufrufzusammenfassung aus und beendet das Programm.

--version
-V
    Gibt die Versionsnummer, die Lizenz und den Haftungsausschluss für getent aus.

EXIT-STATUS
Von getent kann einer der folgenden Exit-Werte zurückgeliefert werden:

0   Der Befehl schloss erfolgreich ab.

1   Fehlende Argumente oder Datenbank unbekannt.

2   Einer oder mehrere angegebene Schlüssel konnten in der Datenkbank nicht gefunden werden.

3   Diese Datenbank unterstützt keine Aufzählung.

SIEHE AUCH
nsswitch.conf(5)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).